For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTMake transaction
          • POSTAuthorize transaction
          • POSTCapture transaction
          • GETCapture transaction (deprecated)
          • GETSend receipt
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay In endpointsMake transactions (v1)

Capture transaction (deprecated)

Deprecated
|View as Markdown|Open in Claude|
GET
/MoneyIn/capture/:transId/:amount
GET
/api/MoneyIn/capture/:transId/:amount
$curl https://api-sandbox.payabli.com/api/MoneyIn/capture/10-7d9cd67d-2d5d-4cd7-a1b7-72b8b201ec13/0 \
> -H "requestToken: <apiKey>"
1{
2 "responseCode": 1,
3 "pageIdentifier": null,
4 "roomId": 0,
5 "isSuccess": true,
6 "responseText": "Success",
7 "responseData": {
8 "authCode": "123456",
9 "referenceId": "10-7d9cd67d-2d5d-4cd7-a1b7-72b8b201ec13",
10 "resultCode": 1,
11 "resultText": "SUCCESS",
12 "avsResponseText": null,
13 "cvvResponseText": null,
14 "customerId": null,
15 "methodReferenceId": null
16 }
17}
<Warning> This endpoint is deprecated and will be sunset on November 24, 2025. Migrate to [POST `/capture/{transId}`](/developers/api-reference/moneyin/capture-an-authorized-transaction)`. </Warning> Capture an [authorized transaction](/developers/api-reference/moneyin/authorize-a-transaction) to complete the transaction and move funds from the customer to merchant account.
Was this page helpful?
Previous

Capture transaction

Next

Send receipt

This endpoint is deprecated and will be sunset on November 24, 2025. Migrate to POST /capture/{transId}`.

Capture an authorized transaction to complete the transaction and move funds from the customer to merchant account.

Authentication

requestTokenstring
API Key authentication via header

Path parameters

amountdoubleRequired

Amount to be captured. The amount can’t be greater the original total amount of the transaction. 0 captures the total amount authorized in the transaction. Partial captures aren’t supported.

transIdstringRequired

ReferenceId for the transaction (PaymentId).

Response

Ok
responseCodeinteger

Code for the response. Learn more in API Response Codes.

pageIdentifierstring or null
Auxiliary validation used internally by payment pages and components.
roomIdlong

Field not in use on this endpoint. It always returns 0.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDataobject
Response data for capture transactions

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error